Vorrei installare un pacchetto da un ppa che ha lo stesso nome di un pacchetto dei repository standard.

Come faccio a dire ad APT-GET qual'è il pacchetto giusto?

Per curiosità: e se volessi installarli entrambi?

chiesto 19 Dic '15, 12:59

garro95's gravatar image

garro95
1612510


Se ha lo stesso nome, in genere è lo stesso pacchetto.

Viene installato quello con priorità più alta, a meno che non forzi tu un'installazione diversa.

In linea di principio si possono installare tutti e due, ma se hanno file in comune il secondo installato sovrascrive quelli del primo.

Se fossi più preciso nei dettagli (versione di Ubuntu, di quale pacchetto si tratta, di quale ppa, ecc) sapremmo aiutarti meglio :)

coll. permanente

ha risposto 19 Dic '15, 13:36

dadexix86's gravatar image

dadexix86 ♦♦
16.9k816161

Grazie del supporto. Il pacchetto si chiama splash, ma si tratta di questo https://github.com/paperManu/splash/wiki e non di questo http://users.monash.edu/~dprice/splash/about.html. Questo è il ppa https://launchpad.net/~sat-metalab/+archive/ubuntu/metalab/+packages e la versione di Ubuntu è la 15.10 MATE (anche se non mi sembra un'informazione molto rilevante). Come si fa a forzare apt?

(19 Dic '15, 15:29) garro95 garro95's gravatar image

Il problema è presto risolto, dato che il ppa si ferma alla 14.04, quindi non puoi utilizzarlo sulla 15.10.

This PPA currently publishes packages for Trusty, Saucy, Raring, Quantal, Precise, Oneiric, Natty, Maverick, Lucid, Karmic, and Hardy.

(19 Dic '15, 15:43) dadexix86 ♦♦ dadexix86's gravatar image

Ok, compilerò da sorgenti. A titolo informativo e per i posteri, potresti comunque spiegarmi come avrei dovuto fare se avessi avuto la 14.04? Grazie.

(19 Dic '15, 15:54) garro95 garro95's gravatar image
1

Sulla 14.04 non ci sarebbero stati problemi, perché quel pacchetto splash è incluso nei repo a cominciare dalla 15.04.

In generale, per installare una versione di un pacchetto anziché un'altra, la cosa più comoda è passare tramite Synaptic > Pacchetto > Forza versione...

Si può fare anche da terminale con apt-get, semplicemente appendendo l'esatta versione al nome del pacchetto.

(19 Dic '15, 16:30) dadexix86 ♦♦ dadexix86's gravatar image
La tua risposta
abilita/disabilita anteprima

Segui questa domanda

Via email:

Una volta eseguito l'accesso potrai iscriverti a tutti gli aggiornamenti qui

Via RSS:

Risposte

Risposte e commenti

Basi di markdown

  • *corsivo* o __corsivo__
  • **grassetto** o __grassetto__
  • collegamento:[testo](http://url.com/ "titolo")
  • immagine?![alt testo](/path/img.jpg "titolo")
  • elenco numerato: 1. Foo 2. Bar
  • per aggiungere un'interruzione di riga, aggiungi due spazi a fine riga e premi «Invio»
  • è supportato anche semplice HTML

Tag:

×789
×33
×30
×13
×4

domanda posta: 19 Dic '15, 12:59

domanda visualizzata: 711 volte

ultimo aggiornamento: 19 Dic '15, 16:30

Chiedi è un servizio di supporto gestito da Ubuntu-it. Contattaci!

powered by OSQAPostgreSQL database
Ubuntu e Canonical sono marchi registrati da Canonical Ltd.